Skip to main content

Fetch message unread status for customers for given message property​

Fetch message unread status for customers for given message property

Path Parameters
    departmentUUID string required
    userUUID string required
Request Body required
    customerUuids string[]
    protocols string[]

    Possible values: [TEXT, EMAIL, VOICE_CALL, NONE, WHATSAPP]

    types string[]

    Possible values: [DRAFT, DISCARDED_DRAFT, OUTGOING, INCOMING, NOTE]

    isManual boolean
    tagTypeUuids string[]
Responses

OK


Schema
    statusCode int32
    customerToMessageMap object
    property name* object[]
  • Array [
  • messageUuid string
    protocol string

    Possible values: [TEXT, EMAIL, VOICE_CALL, NONE, WHATSAPP]

    type string

    Possible values: [DRAFT, DISCARDED_DRAFT, OUTGOING, INCOMING, NOTE]

    isManual boolean
    receivedOn date-time
    tags object[]
  • Array [
  • tagTypeUuid string
    referenceIdentifier string
    value object
    primaryAttribute object
    value string
    secondaryAttributes object[]
  • Array [
  • value string
  • ]
  • parentTags object[]
  • Array [
  • tagTypeUuid string
    referenceIdentifier string
  • ]
  • ]
  • ]
  • requestUuid string
    errors object[]
  • Array [
  • errorCode string
    errorDescription string
    errorUID string
  • ]
  • warnings object[]
  • Array [
  • warningCode string
    warningDescription string
  • ]
Loading...